Qt 5.9 | Qt 3D | C++ Classes | FbxGeometryLoader

Qt 5.9.9 Reference Documentation

# FbxGeometryLoader Class

(Qt3DRender::FbxGeometryLoader)

- List of all members, including inherited members

## Public Functions

| FbxGeometryLoader()
| ~FbxGeometryLoader()
QGeometry * | geometry() const
bool | load(QIODevice *ioDev, const QString &subMesh = QString())

## Protected Functions

void | processMesh(FbxMesh *mesh)
void | processNode(FbxNode *node)
void | recurseNodes()

## Member Function Documentation

### FbxGeometryLoader::FbxGeometryLoader()

Default constructs an instance of FbxGeometryLoader.

### FbxGeometryLoader::~FbxGeometryLoader()

Destroys the instance of FbxGeometryLoader.

### QGeometry *FbxGeometryLoader::geometry() const

### bool FbxGeometryLoader::load(QIODevice *ioDev, const QString &subMesh = QString())

### `[protected]` void FbxGeometryLoader::processMesh(FbxMesh *mesh)

### `[protected]` void FbxGeometryLoader::processNode(FbxNode *node)

### `[protected]` void FbxGeometryLoader::recurseNodes()